summaryrefslogtreecommitdiffstats
path: root/services/bin
diff options
context:
space:
mode:
Diffstat (limited to 'services/bin')
-rwxr-xr-xservices/bin/obsolete/copy-services34
-rwxr-xr-xservices/bin/sync-host-to-services15
2 files changed, 49 insertions, 0 deletions
diff --git a/services/bin/obsolete/copy-services b/services/bin/obsolete/copy-services
new file mode 100755
index 00000000..381d39a3
--- /dev/null
+++ b/services/bin/obsolete/copy-services
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+set -euf
+cd $(dirname $(readlink -f $0))
+usage(){
+ cat <<EOF
+usage: $0 [pubkey-file] [bootstrap-file]
+ if pubkey-file is "" it will be skipped.
+
+ e.g.:
+ $0 "" ../path/to/other/bootstrap
+EOF
+
+}
+pubfile=${1:-}
+bootfile=${2:-../etc/services/bootstrap}
+outdir=$PWD/out
+mkdir -p "$outdir"
+for i in `cat $bootfile`; do
+ # retard uriparsing but good enough for our use case
+ netloc=${i##*//}
+ host=${netloc%%:*}
+ port=${netloc##*:}
+ [ "$port" == "$host" ] && port=1337
+
+ pubarg="${pubfile:+-i $pubfile}"
+ #printf ""
+ cat >$outdir/$host <<EOF
+$(ssh ${pubarg} "services@$host" -p "$port" -o PasswordAuthentication=no
+ 2>/dev/null||: )
+EOF
+ #printf ""
+done
+
diff --git a/services/bin/sync-host-to-services b/services/bin/sync-host-to-services
new file mode 100755
index 00000000..526bc569
--- /dev/null
+++ b/services/bin/sync-host-to-services
@@ -0,0 +1,15 @@
+#!/bin/sh
+green='\e[0;32m'
+red='\e[0;31m'
+nc='\e[0m'
+
+outdir=${1?please provide services-outdir}
+find ../../retiolum/hosts -type f | while read hostfile;do
+ host=$(basename "$hostfile")
+ if test -e "$outdir/$host";then
+ printf "${green}$host already exists$nc\n"
+ else
+ printf "${red}$host missing, adding${nc}\n"
+ cat ../services.txt | sed "s#{{hostname}}#$host#" > $outdir/$host
+ fi
+done